parameters:
  rules:
    default:
      allow_local_conf: true

      open_town_limit: 7
      open_town_grace: 30
      stranger_day_limit: -1
      stranger_citizen_limit: 0
      lock_door_until_full: false

      well:       { min: 90, max: 180 }
      map:        { min: 25, max:  27, margin: 0.25 }
      population: { min: 40, max:  40 }
      zone_items:
        min: 4
        max: 10
        refresh_min: 1
        refresh_max: 8
        fill_max: 30
        throttle_at: 12

      ruins: 20
      explorable_ruins: 1

      explorable_ruin_params:
        complexity: 0.9
        convolution: 0.2
        cruelty: 0.06
        rooms: 10
        room_spacing: 4
        lock_distance: 10
        item_fillrate: 11
        max_distance: 10
        zombies:
          initial: 10
          daily: 3

      initial_buildings:  []
      unlocked_buildings: []

      spiritual_guide:
        enabled: false
        sp_limit: 0
        citizen: 0

      bank_abuse:
        limit: 5
        chaos_limit: 10
        base_range_min: 5
        lock_range_min: 15

      times:
        digging:
          normal: '+2hour'
          collec: '+1hour30min'
        exploration:
          normal: '+5min'
          collec: '+7min30sec'

      initial_chest: []
      distribute_items: ['bplan_box_e_#00', 'bplan_box_e_#00', 'bplan_box_#00', 'bplan_box_#00', 'bplan_box_#00', 'bplan_box_#00', 'bplan_box_#00', 'firework_powder_#00','firework_tube_#00','firework_box_#00','firework_box_#00']
      instant_pictos: ['r_rp_#00', 'r_sandb_#00', 'r_ban_#00', 'r_theft_#00', 'r_collec_#00']

      distribution_distance:
        - item: 'bplan_box_e_#00'
          min: 9
          max: 21
        - item: 'bplan_box_#00'
          min: 6
          max: 15
        - item: 'firework_powder_#00'
          min: 6
          max: 15
        - item: 'firework_tube_#00'
          min: 6
          max: 15
        - item: 'firework_box_#00'
          min: 6
          max: 15

      modifiers:
        watchtower_estimation_threshold: 33
        watchtower_estimation_offset: 0
        allow_redig: false
        assemble_items_from_floor: false
        preview_item_assemblage: false
        infection_death_chance: 0.5
        wound_terror_penalty: 0.05
        poison:
          stack_poisoned_items: false
          transgress: false
        citizen_attack:
          ap: 5
          injury: 0.5
          protection: false
        complaints:
          shun: 8
          kill: 6
        carry_extra_bag: false
        meaty_bones_within_town: false
        building_attack_damage: false
        destroy_defense_objects_attack: false
        camping:
          default_bonus: 0
          map: 'normal'
        red_soul_max_factor: 1.2
        wind_distance: 2
        strict_picto_distribution: false
        sandball_nastyness: 0.1
        massive_respawn_factor: 1
        ghoul_infection_begin: 5
        daytime:
          range: [7,18]
          invert: false
        hide_home_upgrade: false

      features:
        camping: true
        words_of_heros: true
        escort:
          enabled: true
          max: 4
        nightmode: true
        shaman: 'normal'
        xml_feed: true
        citizen_alias: false
        ghoul_mode: normal
        hungry_ghouls: false
        all_poison: false
        shun: true
        nightwatch:
          enabled: true
          instant: false
        attacks: 'normal'
        give_all_pictos: true
        give_soulpoints: true
        last_death: ['r_surlst_#00']
        survival_picto: null
        free_for_all: false

      disabled_jobs: ['shaman']
      disabled_roles: []
      disabled_buildings: ['small_vaudoudoll_#00', 'small_bokorsword_#00', 'small_spiritmirage_#00','small_holyrain_#00']

      overrides:
        named_drops: []
        item_groups: []

    small:
      stranger_day_limit: 1
      stranger_citizen_limit: 10

      map:  { min: 12, max: 14, margin: 0.25 }
      ruins: 7
      explorable_ruins: 0

      initial_buildings:  ['small_refine_#00','small_door_closed_#00','item_tagger_#00']
      unlocked_buildings: ['small_gather_#02']
      disabled_buildings:
        merge: ['small_novlamps_#00']

      distribute_items:
        replace: ['bplan_box_e_#00', 'bplan_box_e_#00', 'bplan_box_#00', 'bplan_box_#00', 'bplan_box_#00', 'bplan_box_#00', 'bplan_box_#00', 'firework_powder_#00','firework_tube_#00','firework_box_#00']

      spiritual_guide:
        enabled: true
        sp_limit: 100
        citizen: 20

      distribution_distance:
        replace:
          - item: 'bplan_box_e_#00'
            min: 4
            max: 90
          - item: 'bplan_box_#00'
            min: 3
            max: 90
          - item: 'firework_powder_#00'
            min: 3
            max: 90
          - item: 'firework_tube_#00'
            min: 3
            max: 90
          - item: 'firework_box_#00'
            min: 3
            max: 90

      instant_pictos:
        merge: ['r_guide_#00', 'r_guard_#00']

      modifiers:
        watchtower_estimation_threshold: 0
        watchtower_estimation_offset: 8
        citizen_attack:
          protection: true
        wind_distance: -1
        strict_picto_distribution: true
        sandball_nastyness: 0.0
        massive_respawn_factor: 0.5
        ghoul_infection_begin: 15

      features:
        shaman: 'none'
        nightmode: false
      
      disabled_roles: ['shaman']

    remote:

    panda:
      well: { min: 60, max: 90 }

      modifiers:
        infection_death_chance: 0.75
        wound_terror_penalty: 0.2
        building_attack_damage: true
        destroy_defense_objects_attack: true
        citizen_attack:
          ap: 4
          injury: 0.6
        camping:
          default_bonus: -14
          map: 'hard'
        red_soul_max_factor: 666
        sandball_nastyness: 0.85
        ghoul_infection_begin: 2
        hide_home_upgrade: true

      features:
        last_death:
          merge: ['r_suhard_#00']
        survival_picto: 'r_pande_#00'

      explorable_ruins: 2

      times:
        exploration:
          normal: '+3min30sec'
          collec: '+5min15sec'

      explorable_ruin_params:
        max_distance: 100

    custom:
      open_town_limit: 2
      open_town_grace: 40
      lock_door_until_full: true
      features:
        give_all_pictos: false
        give_soulpoints: false